Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ExtId Class Reference

Helper class for TAO_Transient_Bindings_Map: unifies several data items, so they can be stored together as a <key> for a <value> in a hash table holding the state of a Transient Naming Context. More...

`#include <Entries.h>`

List of all members.

## Public Methods
| TAO_ExtId (void)
| Constructor. More...
| TAO_ExtId (const char *id, const char *kind)
| Constructor. More...
| TAO_ExtId (const TAO_ExtId &rhs)
| Copy constructor. More...
| ~TAO_ExtId (void)
| Destructor. More...
void | operator= (const TAO_ExtId &rhs)
| Assignment operator (does copy memory). More...
int | operator== (const TAO_ExtId &rhs) const
| Equality comparison operator (must match both id_ and kind_). More...
int | operator!= (const TAO_ExtId &rhs) const
| Inequality comparison operator. More...
u_long | hash (void) const
| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager. More...
const char * | id (void)
| Return <id_> in a const char * format. More...
const char * | kind (void)
| Return <kind_> in a const char * format. More...
## Public Attributes
ACE_CString | kind_
| <kind> portion of the name to be associated with some object reference in a Transient Naming Context. More...
ACE_CString | id_
| <id> portion of the name to be associated with some object reference in a Transient Naming Context. More...

## Detailed Description

Helper class for TAO_Transient_Bindings_Map: unifies several data items, so they can be stored together as a <key> for a <value> in a hash table holding the state of a Transient Naming Context.

This class holds id and kind strings, so they can be stored together as a <key> for a <value> in a hash table holding the state of a Transient Naming Context.

## Constructor & Destructor Documentation

TAO_ExtId::TAO_ExtId | ( | void |  | ) |

| Constructor.

TAO_ExtId::TAO_ExtId | ( | const char * | id,
|  | const char * | kind
| ) |

| Constructor.

TAO_ExtId::TAO_ExtId | ( | const TAO_ExtId & | rhs | ) |

| Copy constructor.

TAO_ExtId::~TAO_ExtId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

u_long TAO_ExtId::hash | ( | void |  | ) | const

| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager.

const char * TAO_ExtId::id | ( | void |  | ) |

| Return <id_> in a const char * format.

const char * TAO_ExtId::kind | ( | void |  | ) |

| Return <kind_> in a const char * format.

int TAO_ExtId::operator!= | ( | const TAO_ExtId & | rhs | ) | const

| Inequality comparison operator.

void TAO_ExtId::operator= | ( | const TAO_ExtId & | rhs | ) |

| Assignment operator (does copy memory).

int TAO_ExtId::operator== | ( | const TAO_ExtId & | rhs | ) | const

| Equality comparison operator (must match both id_ and kind_).

## Member Data Documentation

ACE_CString TAO_ExtId::id_

| <id> portion of the name to be associated with some object reference in a Transient Naming Context.

ACE_CString TAO_ExtId::kind_

| <kind> portion of the name to be associated with some object reference in a Transient Naming Context.

The documentation for this class was generated from the following files:

- Entries.h
- Entries.cpp